=== debian/changelog ===
elogind (246.0~rc2-1) experimental; urgency=medium

  * Merge upstream v246.0-rc2.
  * Remove patch applied upstream.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 13 Nov 2020 10:45:00 +0000

elogind (246.0~rc1-1) experimental; urgency=medium

  * Merge upstream v246.0-rc1.
  * Refresh quilt patch.
  * Fix mismerge causing test-fs-util failure.
  * d/control: update Vcs-* following gitea migration.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 10 Nov 2020 20:52:37 +0000
