## elogind 246.9

=== debian/changelog ===
elogind (246.9-1) unstable; urgency=medium

  [ Mark Hindley ]
  * Merge upstream v246.9.
  * Refresh quilt patch.
  * d/control: update Vcs-* following gitea migration.

  [ Unit193 ]
  * d/control: Rules-Requires-Root: no.
  * d/control: change to debhelper-compat.
  * d/control: cleanup wrapping and whitepace.
  * d/control: update to Standards Version 4.5.1 (no changes).
  * d/control: remove dpkg-dev build-dep that is automatically satisfied.
  * d/copyright: use HTTPS scheme for url.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 19 Dec 2020 16:44:07 +0000
