## elogind 246.9.1

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 # 	DESTDIR=$(DESTDIR) ninja -C build install
 #else // 0
 .PHONY: all build clean install justprint loginctl test test-login
+export
 
 # Set this to YES on the command line for a debug build
 DEBUG      ?= NO
@@ -15,10 +16,10 @@
 
 HERE := $(shell pwd -P)
 
+BASIC_OPT := --buildtype release
 BUILDDIR  ?= $(HERE)/build
 CGCONTROL ?= $(shell $(HERE)/tools/meson-get-cg-controller.sh)
 CGDEFAULT ?= $(shell grep "^rc_cgroup_mode" /etc/rc.conf | cut -d '"' -f 2)
-CONFIG    := $(BUILDDIR)/compile_commands.json
 DESTDIR   ?=
 MESON_LST := $(shell find $(HERE)/ -type f -name 'meson.build') $(HERE)/meson_options.txt
 PREFIX    ?= /tmp/elogind_test
@@ -31,11 +32,9 @@
 MESON ?= $(shell which meson)
 MKDIR := $(shell which mkdir) -p
 RM    := $(shell which rm) -f
-SED   := $(shell which sed)
 
 # Save users/systems choice
 envCFLAGS   := ${CFLAGS}
-envCXXFLAGS := ${CXXFLAGS}
 envLDFLAGS  := ${LDFLAGS}
 
 BASIC_OPT := --buildtype release
@@ -57,59 +56,70 @@
 
 # Combine with "sane defaults"
 ifeq (YES,$(DEBUG))
-    BASIC_OPT := -Ddebug-extra=elogind -Dtests=unsafe --buildtype debug
+    BASIC_OPT := --werror -Dlog-trace=true -Dtests=unsafe -Dslow-tests=true -Ddebug-extra=elogind --buildtype debug
     BUILDDIR  := ${BUILDDIR}_debug
     CFLAGS    := -O0 -g3 -ggdb -ftrapv ${envCFLAGS} -fPIE
-    CXXFLAGS  := -O0 -g3 -ggdb -ftrapv ${envCXXFLAGS} -fPIE
     LDFLAGS   := ${envLDFLAGS} -fPIE
     NINJA_OPT := ${NINJA_OPT} -j 1 -k 1
 else
     BUILDDIR  := ${BUILDDIR}_release
-    CFLAGS   := -O2 -fwrapv ${envCFLAGS}
-    CXXFLAGS := -O2 -fwrapv ${envCXXFLAGS}
+    CFLAGS   := -fwrapv ${envCFLAGS}
 endif
 
+# Set search paths including the actual build directory
+VPATH  := $(BUILDDIR):$(HERE):$(HERE)/src
+
+# Set the build configuration we use to check whether a reconfiguration is needed
+CONFIG := $(BUILDDIR)/compile_commands.json
 
 # Finalize CFLAGS
-CFLAGS := -march=native -pipe ${CFLAGS} -Wall -Wextra -Wunused -Wno-unused-parameter -Wno-unused-result -ftree-vectorize
+CFLAGS := -march=native -pipe ${CFLAGS} -Wunused -ftree-vectorize
 
 
 all: build
 
 build: $(CONFIG)
+	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
 	+(cd $(BUILDDIR) && ninja $(NINJA_OPT))
+	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")
 
 clean: $(CONFIG)
+	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
 	(cd $(BUILDDIR) && ninja $(NINJA_OPT) -t cleandead)
 	(cd $(BUILDDIR) && ninja $(NINJA_OPT) -t clean)
-
+	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")
 
 install: build
+	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
 	(cd $(BUILDDIR) && DESTDIR=$(DESTDIR) ninja $(NINJA_OPT) install)
+	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")
 
 justprint: $(CONFIG)
-	($(MAKE) all JUST_PRINT=YES | $(SED) -e 's, \.\./, ./,g')
+	+(BUILDDIR=$(HERE)/build $(MAKE) all JUST_PRINT=YES)
 
 loginctl: $(CONFIG)
+	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
 	(cd $(BUILDDIR) && ninja $(NINJA_OPT) $@)
+	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")
 
 test: $(CONFIG)
+	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
 	(cd $(BUILDDIR) && ninja $(NINJA_OPT) $@)
+	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")
 
 test-login: $(CONFIG)
+	+@(echo "make[2]: Entering directory '$(BUILDDIR)'")
 	(cd $(BUILDDIR) && ninja $(NINJA_OPT) $@)
+	+@(echo "make[2]: Leaving directory '$(BUILDDIR)'")
 
 $(BUILDDIR):
 	+$(MKDIR) $@
 
 $(CONFIG): $(BUILDDIR) $(MESON_LST)
+	@echo " Generating $@"
 	+test -f $@ && ( \
-		CC=$(CC) \
-		LD=$(LD) \
 		meson configure $(BUILDDIR) $(BASIC_OPT) \
 	) || ( \
-		CC=$(CC) \
-		LD=$(LD) \
 		meson setup $(BUILDDIR) $(BASIC_OPT) \
 			--libdir $(PREFIX)/usr/lib64 \
 			--localstatedir $(PREFIX)/var/lib \
