=== meson_options.txt ===
--- 
+++ 
@@ -17,11 +17,11 @@
 #        description : 'link systemd-udev and its helpers to libsystemd-shared.so')
 # option('link-systemctl-shared', type: 'boolean',
 #        description : 'link systemctl against libsystemd-shared.so')
-#endif // 0
-option('link-networkd-shared', type: 'boolean',
-       description : 'link elogind-networkd and its helpers to libelogind-shared.so')
-option('link-timesyncd-shared', type: 'boolean',
-       description : 'link elogind-timesyncd and its helpers to libelogind-shared.so')
+# option('link-networkd-shared', type: 'boolean',
+#        description : 'link systemd-networkd and its helpers to libsystemd-shared.so')
+# option('link-timesyncd-shared', type: 'boolean',
+#        description : 'link systemd-timesyncd and its helpers to libsystemd-shared.so')
+#endif // 0
 option('static-libelogind', type : 'combo',
        choices : ['false', 'true', 'pic', 'no-pic'],
 #if 0 /// UNNEEDED by elogind
