=== debian/changelog ===
elogind (246.9.1-1.0antix1) unstable; urgency=medium

  * antiX builds 

 -- anticapitalista <antix@operamail.com>  Tue, 22 Dec 2020 22:54:01 +0200

elogind (246.9.1-1) unstable; urgency=medium

  * Merge v246.9.1.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 22 Dec 2020 16:25:53 +0000
