=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: admin
 Priority: optional
 Maintainer: Mark Hindley <mark@hindley.org.uk>
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Git: https://git.devuan.org/devuan/elogind.git -b devuan
 Vcs-Browser: https://git.devuan.org/devuan/elogind/tree/devuan
 Homepage: https://github.com/elogind/elogind
 Origin: Devuan
-Build-Depends: debhelper (>= 11),
+Rules-Requires-Root: no
+Build-Depends: debhelper-compat (= 12),
                dh-exec (>=0.3),
-               dpkg-dev (>= 1.16.0),
                pkg-config,
                docbook-xsl,
                meson,
@@ -76,8 +76,8 @@
          libelogind0 (= ${binary:Version})
 Suggests: libelogind-dev-doc
 Description: user, seat and session management library (development files)
- This package contains the files needed for developing applications that 
- use libelogind
+ This package contains the files needed for developing applications that use
+ libelogind
 
 Package: libelogind-dev-doc
 Section: doc
@@ -109,6 +109,5 @@
 Breaks: libpam-systemd
 Provides: libpam-systemd, logind, default-logind
 Replaces: libpam-systemd
-Description: elogind PAM module 
+Description: elogind PAM module
  Plugable Authentication Module to register a session with elogind
-
