=== debian/changelog ===
elogind (246.10-1debian1) unstable; urgency=medium

  * New upstream version 246.10, includes fix for building with gcc >= 10.
  * Add patch to reenable runtime only policykit support disabled upstream.
  * Override lintian missing-systemd-service-for-init.d-script elogind.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 17 Jan 2023 08:46:22 +0000

elogind (246.9.1-2) unstable; urgency=medium

  * Remove unnecessary build-depends (Closes: #980898)
  * d/control:
     - change policykit-1 recommends to polkitd (Closes: #1025560)
     - bump Standards Version (no changes)
  * Symlink .so file in -dev package rather than using compile time
    generated file: fixes lintian warning.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 16 Jan 2023 12:49:09 +0000

elogind (246.9.1-1+debian1) unstable; urgency=medium

  * New upstream version 246.9.1
      + Log to syslog rather than kernel log (Closes: #964006).
  * d/changelog: fix typo in previous entry.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 22 Dec 2020 16:53:57 +0000

elogind (246.9-1+debian1) unstable; urgency=medium

  [ Mark Hindley ]
  * Merge upstream v246.9
    + Support ABI of systemd-logind 246 (Closes: #968379).
  * Refresh quilt patch.
  * d/control: update Vcs-* following gitea migration.
  * Document solutions for libelogind0/libsystemd-dev build-depends
    conflict.
  * Change rootlibdir to /lib.

  [ Unit193 ]
  * d/control: Rules-Requires-Root: no.
  * d/control: change to debhelper-compat.
  * d/control: cleanup wrapping and whitespace.
  * d/control: update to Standards Version 4.5.1 (no changes).
  * d/control: remove dpkg-dev build-dep that is automatically satisfied.
  * d/copyright: use HTTPS scheme for url.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 19 Dec 2020 16:44:07 +0000

elogind (243.7-1+debian1) unstable; urgency=medium

  * New upstream version 243.7.
  * Update to Standards version 4.5.0 (no changes).

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 24 May 2020 11:26:10 +0100

elogind (241.3-1+debian3) unstable; urgency=medium

  * Change default for RemoveIPC to no (Closes: #949698).

 -- Mark Hindley <mark@hindley.org.uk>  Sun, 26 Jan 2020 11:40:19 +0000

elogind (241.3-1+debian2) unstable; urgency=medium

  * Only build-depend on libseccomp-dev on architectures supporting it.
    Thanks to John Paul Adrian Glaubitz for the suggestion. (Closes: #940681).
  * Update Build-Depends minimum versions.
  * Add details of sd-daemon(3) implementation to libelogind0 package
    description.
  * elogind Recommends libpam-elogind.
  * Update to standards version 4.4.1 (no changes).

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 14 Nov 2019 18:40:09 +0000

elogind (241.3-1+debian1) unstable; urgency=medium

  [ Mark Hindley ]
  * New upstream release v241.3.
  * Upgrade to Standards Version 4.4.0 (no changes).
  * Correctly license AppStream metadata as CC0-1.0 in d/copyright.

  [ Andreas Messer ]
  * Retire from maintenance of this package.

  [ Andreas Beckmann ]
  * Simplify libsystemd.so compatibility symlink setup.  (Closes: #926591)

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 09 Jul 2019 08:51:27 +0100
