=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: elogind
 Section: admin
 Priority: optional
-Maintainer: Mark Hindley <mark@hindley.org.uk>
-Standards-Version: 4.5.1
-Vcs-Git: https://git.devuan.org/devuan/elogind.git -b devuan
-Vcs-Browser: https://git.devuan.org/devuan/elogind/tree/devuan
+Maintainer: Debian Ecosystem Init Diversity Team <debian-init-diversity@chiark.greenend.org.uk>
+Uploaders: Mark Hindley <mark@hindley.org.uk>,
+           Ian Jackson <ijackson@chiark.greenend.org.uk>
+Standards-Version: 4.6.2
+Vcs-Git: https://git.devuan.org/devuan/elogind.git -b debian
+Vcs-Browser: https://git.devuan.org/devuan/elogind/tree/debian
 Homepage: https://github.com/elogind/elogind
-Origin: Devuan
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12),
                dh-exec (>=0.3),
@@ -18,14 +19,12 @@
                python3-lxml,
                libcap-dev,
                libudev-dev,
-               libmount-dev (>= 2.27.1),
-               libseccomp-dev (>= 2.3.1),
-               libblkid-dev (>= 2.24),
+               libseccomp-dev (>= 2.3.1) [amd64 arm64 armel armhf i386 mips mipsel mips64 mips64el x32 powerpc ppc64 ppc64el s390x],
                libpam0g-dev (>= 1.1.2),
                libacl1-dev,
                libselinux1-dev,
-               libglib2.0-dev,
-               dbus (>= 1.9.14)
+               libglib2.0-dev <!nocheck>,
+               dbus (>= 1.9.14) <!nocheck>,
 
 Package: elogind
 Section: admin
@@ -39,10 +38,8 @@
          libelogind0 (= ${binary:Version}),
          lsb-base (>= 3.1),
          dbus (>= 1.9.14)
-Recommends: libpam-elogind, policykit-1
+Recommends: libpam-elogind, polkitd
 Conflicts: systemd
-Breaks: udev (<< 1:3.2.2+devuan1)
-Replaces: udev (<< 1:3.2.2+devuan1)
 Description: user, seat and session management daemon
  elogind is a session management daemon extracted from systemd project's
  "logind"
@@ -57,7 +54,7 @@
          ${misc:Depends}
 Provides: libsystemd0 (= ${source:Upstream-Version})
 Replaces: libsystemd0
-Conflicts: libsystemd0
+Conflicts: libsystemd0, systemd
 Description: user, seat and session management library
  This library provides runtime access to elogind session management.
  .
@@ -105,9 +102,8 @@
          ${misc:Depends},
          elogind (= ${binary:Version}),
          libpam-runtime
-Conflicts: libpam-ck-connector
-Breaks: libpam-systemd
-Provides: libpam-systemd, logind, default-logind
-Replaces: libpam-systemd
+Provides: logind (= ${binary:Version})
+Conflicts: logind, libpam-ck-connector
+Replaces: logind
 Description: elogind PAM module
  Plugable Authentication Module to register a session with elogind
