## elogind 252.9

=== debian/changelog ===
elogind (252.9-1~rc1.0antix1) unstable; urgency=medium

  * antiX builds allow for runit scripts

 -- anticapitalista <antix@operamail.com>  Wed, 06 Sep 2023 14:47:36 +0300

elogind (252.9-1~rc1) experimental; urgency=medium

  * New upstream version 252.9.
  * Drop patches applied upstream.
  * Refresh patches.
  * d/elogind.init: revert workaround for #619; fixed upstream.
  * d/control:
    - add python3-jinja2 build-dep.
    - remove obsolete lsb-base dependency.
    - change policykit-1 recommends to polkitd (See: Debian#1025560).
  * d/not-installed: update pam.d/elogind-user path.
  * d/elogind.install:
    - include new /etc/elogind/sleep.conf.
    - add private library, now in /lib/<triplet>/elogind.
  * d/rules:
    - configure with mode=release.
  * Override lintian missing-systemd-service-for-init.d-script elogind.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 23 May 2023 11:06:28 +0100

elogind (246.10-5) unstable; urgency=medium

  * libelogind-compat: Fix package name in Breaks: libelogind0.

 -- Mark Hindley <mark@hindley.org.uk>  Tue, 26 Apr 2022 14:43:29 +0100

elogind (246.10-4) unstable; urgency=medium

  * Make libelogind0 coinstallable with libsystemd0 and add new
    libelogind-compat package.
  * Add new dummy-logind package.
  * Revert "Let elogind conflict with systemd" to allow coninstallation
    with dummy-systemd-dev.

 -- Mark Hindley <mark@hindley.org.uk>  Sat, 09 Apr 2022 13:39:05 +0100

elogind (246.10-3) unstable; urgency=medium

  * Prevent restart if startx session is running (Closes: #619).

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 27 Oct 2021 10:13:08 +0100

elogind (246.10-2) unstable; urgency=medium

  * Re-enable runtime only polkit support (Closes: #563).

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 05 Mar 2021 13:31:13 +0000

elogind (246.10-1) unstable; urgency=medium

  * Merge new upstream version v246.10.
  * Add missing Closes for #507 to version 246.9-1.
  * Remove unnecessary build-depends.
  * d/gbp.conf: update upstream-tag format.

 -- Mark Hindley <mark@hindley.org.uk>  Thu, 04 Mar 2021 17:24:33 +0000
