=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: elogind
 Section: admin
 Priority: optional
-Maintainer: Debian Ecosystem Init Diversity Team <debian-init-diversity@chiark.greenend.org.uk>
-Uploaders: Mark Hindley <mark@hindley.org.uk>,
-           Ian Jackson <ijackson@chiark.greenend.org.uk>
-Standards-Version: 4.6.2
-Vcs-Git: https://git.devuan.org/devuan/elogind.git -b debian
-Vcs-Browser: https://git.devuan.org/devuan/elogind/tree/debian
+Maintainer: Mark Hindley <mark@hindley.org.uk>
+Standards-Version: 4.5.1
+Vcs-Git: https://git.devuan.org/devuan/elogind.git -b devuan
+Vcs-Browser: https://git.devuan.org/devuan/elogind/tree/devuan
 Homepage: https://github.com/elogind/elogind
+Origin: Devuan
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12),
                dh-exec (>=0.3),
@@ -16,10 +15,10 @@
                meson,
                gperf (>= 3.1),
                gtk-doc-tools,
+               python3-jinja2,
                python3-lxml,
                libcap-dev,
                libudev-dev,
-               libseccomp-dev (>= 2.3.1) [amd64 arm64 armel armhf i386 mips mipsel mips64 mips64el x32 powerpc ppc64 ppc64el s390x],
                libpam0g-dev (>= 1.1.2),
                libacl1-dev,
                libselinux1-dev,
@@ -36,13 +35,32 @@
          ${misc:Depends},
          libudev1,
          libelogind0 (= ${binary:Version}),
-         lsb-base (>= 3.1),
          dbus (>= 1.9.14)
 Recommends: libpam-elogind, polkitd
-Conflicts: systemd
+Breaks: udev (<< 1:3.2.2+devuan1), runit-services-core-antix (<=0.1.6)
+Replaces: udev (<< 1:3.2.2+devuan1), runit-services-core-antix (<=0.1.6)
 Description: user, seat and session management daemon
  elogind is a session management daemon extracted from systemd project's
  "logind"
+
+Package: libelogind-compat
+Section: libs
+Priority: optional
+Architecture: linux-any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         libelogind0
+Provides: libsystemd0 (= ${source:Upstream-Version})
+Replaces: libsystemd0
+Conflicts: libsystemd0
+Breaks: libelogind0 (<< 246.10-4~)
+Description: user, seat and session management library compatibility
+ The libelogind0 library is ABI compatible with libsystemd0. This package
+ provides the necessary symlinks to allow binaries linked against libsystemd0
+ to work with libelogind0. For full details of the compatibility see
+ README.Debian.
 
 Package: libelogind0
 Section: libs
@@ -52,15 +70,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends}
-Provides: libsystemd0 (= ${source:Upstream-Version})
-Replaces: libsystemd0
-Conflicts: libsystemd0, systemd
 Description: user, seat and session management library
  This library provides runtime access to elogind session management.
- .
- The library is ABI compatible with libsystemd0 and provides the necessary
- symlinks to allow binaries linked against libsystemd0 to work with
- libelogind0. For full details of the compatibility see README.Debian.
 
 Package: libelogind-dev
 Section: libdevel
@@ -101,9 +112,32 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          elogind (= ${binary:Version}),
+         libelogind-compat,
          libpam-runtime
-Provides: logind (= ${binary:Version})
-Conflicts: logind, libpam-ck-connector
-Replaces: logind
+Conflicts: libpam-ck-connector
+Breaks: libpam-systemd
+Provides: libpam-systemd, logind, default-logind
+Replaces: libpam-systemd
 Description: elogind PAM module
  Plugable Authentication Module to register a session with elogind
+
+
+Package: dummy-logind
+Section: admin
+Priority: optional
+Architecture: all
+Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+Conflicts: logind, libpam-ck-connector, desktop-base
+Provides: logind
+Replaces: logind
+Description: Dummy non-functional logind dependency package for build environments
+ An empty dependency package that can be used in build environments to resolve
+ circular dependencies which require coinstallation of libsystemd-dev and
+ libelogind0.
+ .
+ Note that this package provides no logind functionality and will cause
+ breakage on systems that make use of logind interfaces. Any system requiring
+ logind services should install default-logind (currently libpam-elogind).
