=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,8 @@
   -Dman=true \
   -Dudevrulesdir=/lib/udev/rules.d \
   -Ddefault-kill-user-processes=false \
-  -Dtests=true
+  -Dtests=true \
+  -Dmode=release
 
 CONFFLAGS_CGROUPCTRL_ELOGIND= \
   -Dcgroup-controller=elogind
