## elogind 255.4

=== debian/changelog ===
elogind (255.4-1~rc1) experimental; urgency=medium

  * Merge upstream v255.4 alpha (Closes: #838).
  * d/p: refresh patches and remove one applied upstream.
  * d/gbp.conf: update for alpha builds.
  * d/rules:
    - change meson boolean argument from true to enabled.
    - remove split-/usr configuration.
  * d/*.install: update for merged-/usr.
  * d/elogind.init: update as binariy is now installed in /usr/libexec.
  * d/elogind.install: include sleep.conf.d and fragments.
  * d/libelogind-dev.links: move unversioned link below /usr.

 -- Mark Hindley <mark@hindley.org.uk>  Mon, 01 Apr 2024 18:16:18 +0100

elogind (252.9-2) unstable; urgency=medium

  * d/p: add patch to avoid leaving VT owned by root.

 -- Mark Hindley <mark@hindley.org.uk>  Fri, 10 Nov 2023 22:14:37 +0000

elogind (252.9-1) unstable; urgency=medium

  * Release to unstable.

 -- Mark Hindley <mark@hindley.org.uk>  Wed, 13 Sep 2023 15:28:57 +0100
