=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
                libpam0g-dev (>= 1.1.2),
                libacl1-dev,
                libselinux1-dev,
+               libmount-dev,
                libglib2.0-dev <!nocheck>,
                dbus (>= 1.9.14) <!nocheck>,
 
@@ -37,8 +38,8 @@
          libelogind0 (= ${binary:Version}),
          dbus (>= 1.9.14)
 Recommends: libpam-elogind, polkitd
-Breaks: udev (<< 1:3.2.2+devuan1), runit-services-core-antix (<=0.1.6)
-Replaces: udev (<< 1:3.2.2+devuan1), runit-services-core-antix (<=0.1.6)
+Breaks: udev (<< 1:3.2.2+devuan1)
+Replaces: udev (<< 1:3.2.2+devuan1)
 Description: user, seat and session management daemon
  elogind is a session management daemon extracted from systemd project's
  "logind"
