=== debian/rules ===
--- 
+++ 
@@ -7,12 +7,9 @@
 #   behaviour
 
 CONFFLAGS = \
-  -Dpamlibdir=/lib/$(DEB_HOST_MULTIARCH)/security \
-  -Drootlibdir=/lib/$(DEB_HOST_MULTIARCH) \
-  -Dsplit-usr=true \
   -Ddocdir=/usr/share/doc/elogind \
-  -Dman=true \
-  -Dudevrulesdir=/lib/udev/rules.d \
+  -Dman=enabled \
+  -Dudevrulesdir=/usr/lib/udev/rules.d \
   -Ddefault-kill-user-processes=false \
   -Dtests=true \
   -Dmode=release
